package org.security.common.eum;

/**
 * @author zj 2022/4/13
 */
public enum TaskBusinessTypeEnum {
	/**
	 * 检查整改
	 */
	DAILY_SAFE_INSPECTION("daily_safe_inspection", "日常安全检查"),
	DAILY_FIRE_PATROL("daily_fire_patrol", "每日防火巡查记录表"),
	MONTH_FIREPROOF_INSPECTION_RECORD("month_fireproof_inspection_record", "每月防火检查记录表"),
	WARNING_TEST_RECORD("warning_test_record", "报警系统测试情况"),
	SELF_HELP_DEVICE_CHECK("self_help_device_check", "自助设备检查"),
	DAILY_SPECIAL("daily_special", "检查整改专项工作"),
	/**
	 * 安保指挥中心
	 */
	SAFE_SELF_CHECK("off_site_inspection_records", "非现场检查整改通知书"),
	BUSINESS_OUTLET_INSPECTION_RECORD("business_outlet_inspection_record", "营业网点检查日志"),
	SELF_BANK_INSPECTION_RECORD("self_bank_inspection_record", "自助银行检查日志"),
	CONTACT_ALARM_RECORD("contact_alarm_record", "联系（接警）记录"),
	ALARM_PUSH("alarm_push", "警情推送"),
	/**
	 * 申请及报备
	 */
	DUTY("duty", "值班备勤"),
	WORK_OVERTIME("work_overtime", "加班报备"),

	/**
	 * 教育培训
	 */
	SAFE_MEETING("safe_meeting", "安全防范学习会议记录"),
	SAFE_KNOWLEDGE("safe_knowledge", "安全知识培训情况记录"),
	EDU_SPECIAL("edu_special", "教育培训专项工作"),
	FIRE_PREVENTION_RECORD("fire_prevention_record", "消防宣传教育记录表"),
	/**
	 * 应急演练
	 */
	DRILL_FILE_CONTROL("drill_fire_control", "消防演练"),
	DRILL_SAFETY("drill_safety", "安防演练"),
	DIRLL_SPECIAL("dirll_special", "应急演练专项任务"),
	/**
	 * 案件防控
	 */
	ABNORMAL_EVENT("abnormal_event", "异常事件上报"),
	PREVENT_SPECIAL("prevent_special", "处置情况上报"),
	BIG_ISSUE("big_issue", "重大事项报告"),
	RISK_REMINDER("risk_reminder", "风险提示"),
	/**
	 * 设备检查
	 */
	DEVICE_CHECK("device_check","设备检查"),
	DEVICE_RECTIFY("device_rectify","设备整改"),

	UNKONOW("", "未知");

	private String type;
	private String name;

	TaskBusinessTypeEnum(String type, String name) {
		this.type = type;
		this.name = name;
	}

	public static String convertToName(String type) {
		TaskBusinessTypeEnum[] taskBusinessTypeEnums = TaskBusinessTypeEnum.values();
		for (TaskBusinessTypeEnum typeEnum : taskBusinessTypeEnums) {
			if (typeEnum.getType().equals(type)) {
				return typeEnum.getName();
			}
		}
		return UNKONOW.getName();
	}

	public String getType() {
		return type;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public void setType(String type) {
		this.type = type;
	}
}
